# -------------------------------
# PostgreSQL recovery config file
# -------------------------------
#
# Edit this file to provide the parameters that PostgreSQL
# needs to perform an archive recovery of a database
#
# This file consists of lines of the form:
#
#   name = value
#
# (The ' = ' is NOT optional.) 
#
# Comments are introduced with '#' at beginning of a line. 
#
# The complete list of option names and
# allowed values can be found in the PostgreSQL documentation. The
# commented-out settings shown in this file show optional values.
#
# These options cannot be specified in any other way. There are
# no command line switches, to ensure that when recovery completes
# we do not accidentally re-enter archive recovery.
#
# This file is read on postmaster startup.
#
#---------------------------------------------------------------------------
# REQUIRED PARAMETERS
#---------------------------------------------------------------------------
#
# restore program 
#
# specifies the program that is called to copy log files
# back from archive for use
# command string must specify 3 parameters, using %s
#   parameter1 will be substituted with archive_dest
#   parameter2 will be substituted with the single log file
#       that will be restored (one file per execution)
#   parameter3 will be substituted with the full path of
#       the file to which the restore program will restore
#
#
#restore_program = 'cp %s/%s %s'
#
#
#---------------------------------------------------------------------------
# RECOVERY TARGET
#---------------------------------------------------------------------------
#
# By default, recovery will rollforward to the end of logs
# If you want to stop rollforward before that point, you
# MUST set a recovery target.
#
# You may set a recovery target either by transactionId, or
# by timestamp. Recovery may either include or exclude the
# records with the recovery target value.
#
#
#recovery_target_time = 'YY-MM-DD-hh:mm:ss'
#recovery_target_txnid = '1256166'
#
# true or false
#recovery_target_inclusive = 'Y'
#
#---------------------------------------------------------------------------
